unit PipeConsts;

interface

//  pipe_stages.h
//
//  Copyright 1996,0xMicrosoft Corporation.  All Rights Reserved.
//
//  header file to define the GUIDS used for installing components into the
//      registry.
//          CATID_MSCSPIPELINE_COMPONENT
//              indicates the component can be installed in a pipeline
//          CATID_MSCSPIPELINE_ANYSTAGE
//              indicates the component can be installed in any stage
//                  of a pipeline
//
//      All other CATID_MSCSPIPELINE_xxx
//          indicate which stage (xxx) the pipeline can be installed in.
//
//  These values would be used in the following registry structure:
//      \HKEY_CLASSES|ROOT\CLSID\{guid for component}
//          ImplementedCategories = {CATID_xxx}


const
  CATID_MSCSPIPELINE_COMPONENT: TGUID   = '{CF7536D0-43C5-11D0-B85D-00C04FD7A0FA}';
  CATID_MSCSPIPELINE_ANYSTAGE: TGUID    = '{D2ACD8E0-43C5-11D0-B85D-00C04FD7A0FA}';
  CATID_MSCSPIPELINE_ACCEPT: TGUID      = '{D82C3490-43C5-11D0-B85D-00C04FD7A0FA}';
  CATID_MSCSPIPELINE_HANDLING: TGUID    = '{D82C3491-43C5-11D0-B85D-00C04FD7A0FA}';
  CATID_MSCSPIPELINE_IADJUST: TGUID     = '{D82C3492-43C5-11D0-B85D-00C04FD7A0FA}';
  CATID_MSCSPIPELINE_INVENTORY: TGUID   = '{D82C3493-43C5-11D0-B85D-00C04FD7A0FA}';
  CATID_MSCSPIPELINE_MERCHANT_INFO: TGUID = '{D82C3494-43C5-11D0-B85D-00C04FD7A0FA}';
  CATID_MSCSPIPELINE_OADJUST: TGUID     = '{D82C3495-43C5-11D0-B85D-00C04FD7A0FA}';
  CATID_MSCSPIPELINE_ORDER_CHECK: TGUID = '{D82C3496-43C5-11D0-B85D-00C04FD7A0FA}';
  CATID_MSCSPIPELINE_ORDER_INIT: TGUID  = '{D82C3497-43C5-11D0-B85D-00C04FD7A0FA}';
  CATID_MSCSPIPELINE_PAYMENT: TGUID     = '{D82C3498-43C5-11D0-B85D-00C04FD7A0FA}';
  CATID_MSCSPIPELINE_PRODUCT_INFO: TGUID = '{D82C3499-43C5-11D0-B85D-00C04FD7A0FA}';
  CATID_MSCSPIPELINE_SHIPPING: TGUID    = '{D82C349A-43C5-11D0-B85D-00C04FD7A0FA}';
  CATID_MSCSPIPELINE_SHOPPER_INFO: TGUID = '{D82C349B-43C5-11D0-B85D-00C04FD7A0FA}';
  CATID_MSCSPIPELINE_TAX: TGUID         = '{D82C349C-43C5-11D0-B85D-00C04FD7A0FA}';
  CATID_MSCSPIPELINE_TOTAL: TGUID       = '{D82C349D-43C5-11D0-B85D-00C04FD7A0FA}';
  CATID_MSCSPIPELINE_REQUIREDCOMPONENT: TGUID = '{EA226CA1-8F48-11D0-BE9A-00A0C90DC855}';

//---------------------Business to Business pipelines:
  CATID_MSCSPIPELINE_MAP: TGUID         = '{D3A71C30-FFC7-11D0-B885-00C04FD7A0F9}';
  CATID_MSCSPIPELINE_UNMAP: TGUID       = '{261CAD41-079F-11D1-8D8E-00C04FD7A111}';
  CATID_MSCSPIPELINE_DIGITALLY_SIGN: TGUID = '{D3A71C31-FFC7-11D0-B885-00C04FD7A0F9}';
  CATID_MSCSPIPELINE_ENCRYPT: TGUID     = '{D3A71C32-FFC7-11D0-B885-00C04FD7A0F9}';
  CATID_MSCSPIPELINE_TRANSPORT: TGUID   = '{D3A71C33-FFC7-11D0-B885-00C04FD7A0F9}';
  CATID_MSCSPIPELINE_AUDIT: TGUID       = '{D3A71C34-FFC7-11D0-B885-00C04FD7A0F9}';
  CATID_MSCSPIPELINE_DECRYPT: TGUID     = '{D3A71C35-FFC7-11D0-B885-00C04FD7A0F9}';
  CATID_MSCSPIPELINE_CHECK_DIGITAL_SIGNATURE: TGUID = '{D3A71C36-FFC7-11D0-B885-00C04FD7A0F9}';
  CATID_MSCSPIPELINE_APPLICATION_INTERFACE: TGUID = '{D3A71C37-FFC7-11D0-B885-00C04FD7A0F9}';
  CATID_MSCSPIPELINE_AUDIT_AND_RECEIPT: TGUID = '{D3A71C38-FFC7-11D0-B885-00C04FD7A0F9}';
  CATID_MSCSPIPELINE_ADD_HEADER: TGUID  = '{3CEAF920-660A-11D1-9082-00A0C90543B8}';
  CATID_MSCSPIPELINE_OPEN_HEADER: TGUID = '{3CEAF921-660A-11D1-9082-00A0C90543B8}';
  CATID_MSCSPIPELINE_GENERATE_RECEIPT: TGUID = '{3CEAF922-660A-11D1-9082-00A0C90543B8}';

//-------------------------3.0 new stages:
  CATID_MSCSPIPELINE_PAYMENT_CHECK: TGUID = '{D3A71C39-FFC7-11D0-B885-00C04FD7A0F9}';
  CATID_MSCSPIPELINE_ITEMPRICE: TGUID   = '{D3A71C3A-FFC7-11D0-B885-00C04FD7A0F9}';
  CATID_MSCSPIPELINE_ITEMADJUSTPRICE: TGUID = '{57B798E7-02B1-11D1-8D8A-00C04FD7A111}';
  CATID_MSCSPIPELINE_ORDERADJUSTPRICE: TGUID = '{57B798EA-02B1-11D1-8D8A-00C04FD7A111}';
  CATID_MSCSPIPELINE_ORDERSUBTOTAL: TGUID = '{D3A71C3B-FFC7-11D0-B885-00C04FD7A0F9}';
  CATID_MSCSPIPELINE_RESERVED_00: TGUID = '{D3A71C3C-FFC7-11D0-B885-00C04FD7A0F9}';

{==============================================================================}

implementation

end.
